org.apache.myfaces.trinidad.model

## Class RowKeyChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.myfaces.trinidad.model.RowKeyChangeEvent

- All Implemented Interfaces:
    Serializable

      public class RowKeyChangeEvent
      extends EventObject

  Event that is generated when RowKey changes. This event is fired when a row is updated, inserted or deleted The oldRowKey or new RowKey can be NULL The serialization behavior depends on the implementation of the collectionModel that consumes the RowKeyChangeEvent. If the collectionModel implementation is serializable and keeps track of row key change events that it recevies, then these events are serialized with the model; otherwise, the events are not serialized
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RowKeyChangeEvent.Cause` The operation that triggers row key to change

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowKeyChangeEvent(CollectionModel source, Object oldRowKey, Object newRowKey, RowKeyChangeEvent.Cause cause)` Creates a new RowKeyChangeEvent

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `RowKeyChangeEvent.Cause` | `getCause()`
    `Object` | `getNewRowKey()` retrieve the new row key from the event
    `Object` | `getOldRowKey()` retrieve the old RowKey from the event
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowKeyChangeEvent

          public RowKeyChangeEvent(CollectionModel source,
                           Object oldRowKey,
                           Object newRowKey,
                           RowKeyChangeEvent.Cause cause)

      Creates a new RowKeyChangeEvent
      Parameters:
        `source` - the source of the event
        `oldRowKey` - the old RowKey.
        `newRowKey` - the new RowKey.
        `cause` - the operation that triggers this event

  - ### Method Detail

    - #### getOldRowKey

          public Object getOldRowKey()

      retrieve the old RowKey from the event
      Returns:
        the old RowKey of the event.

    - #### getNewRowKey

          public Object getNewRowKey()

      retrieve the new row key from the event
      Returns:
        the new row key of the event.

    - #### getCause

          public RowKeyChangeEvent.Cause getCause()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.